﻿@model CAPAMovies.Models.Movie

@{
    ViewData["Title"] = "Search";
}

<h2>Add Movie</h2>
<form asp-action="Search" method="post">
    <div class="form-horizontal">
        <h4>Movie Search</h4>
        <hr/>

        <div class="form-group">
            <label asp-for="Title" class="col-md-2 control-label"></label>
            <div class="col-md-10">
                <input asp-for="Title" id="titleLink"  class="form-control"/>
                <span asp-validation-for="Title" class="text-danger" />
            </div>
        </div>
        <div class="form-group" id="SearchBar">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Search" id="SearchButton" class="btn btn-default"/>
            </div>
        </div>

        <div class="form-group" id="FlickPic">
            <div class="col-md-offset-2 col-md-10">
                <span class="poster" id=movieSelector style="display:inline-block"></span>
            </div>
        </div>
        <div class="form-group" id="MovieContainer">
            <label asp-for="ID" class="col-md-2 control-label"></label>
            <div class="col-md-10">
                <input asp-for="ID" id="omdbID" class="form-control" readonly/>
                <span asp-validation-for="ID" class="text-danger" />
            </div>
        </div>
        <div class="form-group">
            <label asp-for="Year" class="col-md-2 control-label"></label>
            <div class="col-md-10">
                <input asp-for="Year" id="omdbYear" class="form-control" readonly/>
                <span asp-validation-for="Year" class="text-danger" />
            </div>
        </div>
        <div style="display: none;" class="form-group">
            <label asp-for="PicLink" class="col-md-2 control-label"></label>
            <div class="col-md-10">
                
                <input type="hidden" asp-for="PicLink" id="omdbLink" class="form-control"  value="http://www.auro-3d.com/wp-content/uploads/2016/08/no-poster-available.jpg" readonly />
                <span asp-validation-for="PicLink" class="text-danger" />
            </div>
        </div>
        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Continue" class="btn btn-default"/>
            </div>
        </div>
    </div>
</form>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
    @{await Html.RenderPartialAsync("_OMDBapiImports");}
}
